View Issue Details

IDProjectCategoryView StatusLast Update
0000229Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version3.0 
Summary0000229: Introduce option to register custom expression language handler
DescriptionATM, only two types of expressions are available: place holders and "real" expressions (e.g. object access).

In future versions there should be an option to register custom handlers for the extended templating feature (a.k.a. expression language).
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2014-07-21 09:12

administrator   ~0000466

Possible use case scenarios:

- Ease <html:getstring /> usage with custom expression.
- Create project-specific expressions.

ChristianAchatz

2014-07-26 13:35

administrator   ~0000467

Sample code under https://github.com/AdventurePHP/code/commit/c988b81ff476740c2e1b1cb0c46daaf4f1a56148.

Comments on the code (German):

[13:35:25] Christian Achatz: Was ich im Wesentlichen machen möchte:

Expression Tags customizable machen, damit das eigentlich mächtige Werkzeug auch für Projekte ensprechend angepasst werden kann. Das ging ja bisher nur mit eigenen Tag-Implementierungen, nicht aber mit Expression Tags.

Dafür würde ich dann auch noch einen Tag schreiben wollen, der so einen ExpressionCreator in einem Template hinzufügen kann - analog zu <core:addtaglib />.

Darauf aufbauend könnte man sich diverse Erweiterungen des LanguageLabelTags überlegen. Beispielsweise:

- Namespace vom Vater-Dokument holen und das Argument "namespace" überflüssig machen. Gleiches gilt für den Namen der Datei auch.
- Einem Projekt ermöglichen, seinen eigenen LanguageLabelTag zu definieren und/oder den globalen zu überschreiben.
[13:35:31] Christian Achatz: Freue mich auf Feedback! :)

ChristianAchatz

2014-08-30 23:49

administrator   ~0000490

Merge to master done. Documentation outstanding.

ChristianAchatz

2014-09-05 13:17

administrator   ~0000491

Documentation done.

Issue History

Date Modified Username Field Change
2014-07-21 09:10 ChristianAchatz New Issue
2014-07-21 09:12 ChristianAchatz Note Added: 0000466
2014-07-26 13:23 ChristianAchatz Assigned To => ChristianAchatz
2014-07-26 13:23 ChristianAchatz Status new => assigned
2014-07-26 13:35 ChristianAchatz Note Added: 0000467
2014-08-30 23:49 ChristianAchatz Note Added: 0000490
2014-09-05 13:17 ChristianAchatz Note Added: 0000491
2014-09-05 13:17 ChristianAchatz Status assigned => resolved
2014-09-05 13:17 ChristianAchatz Fixed in Version => 3.0
2014-09-05 13:17 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed